
import http from '@/utils/request'

// vanna 问答
export function getAsk (data, config) {
  return http.post('/vanna/v0/ask_agent', data, config)
}

// 创建新的反馈记录
export function addFeedback (data) {
  return http.post('/vanna/v0/qa_feedback/add', data)
}

// 获取指定用户user_id的最近N次的会话信息
export function getConversations (data) {
  return http.get('/vanna/v0/user/guest/conversations', data)
}

// 获取指定用户user_id的最近N次的会话信息
export function getConversationsById (id) {
  return http.get(`/vanna/v0/conversation/${id}/messages`)
}
